# Interface UploadClientOperationCreateFile

Defines what is required to create a new change (file) in a existing folder.

#### Deprecated

Use UploadClientOperationCreate instead. It supports both folders and layers.

interface UploadClientOperationCreateFile {
content: unknown;
filename: string;
folder: BimFolder;
metadata: DefaultChangeUploadableMetadata;
operation: "create";
}

#### Hierarchy

- Omit<UploadClientOperationCreate, "parent">
  - UploadClientOperationCreateFile

##### Index

### Properties

content
filename
folder
metadata
operation

## Properties

### content

content: unknown

Content of the file

Inherited from Omit.content

### filename

filename: string

Filename that the change will get.

Inherited from Omit.filename

### folder

folder: BimFolder

Folder to create change (file) in

### metadata

metadata: DefaultChangeUploadableMetadata

Metadata.

Inherited from Omit.metadata

### operation

operation: "create"

Type of operation. In this case 'create' to represent file creation.

Inherited from Omit.operation